import '../../modules/authentication/auth.dart';

class LoginResponse {
  int? code;
  Authentication? details;
  String? message;
  bool? status;

  LoginResponse({this.code, this.details, this.message, this.status});

  LoginResponse.fromJson(Map<String, dynamic> json) {
    code = json['code'];
    details =
    json['details'] != null ? new Authentication.fromJson(json['details']) : null;
    message = json['message'];
    status = json['status'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['code'] = this.code;
    if (this.details != null) {
      data['details'] = this.details!.toJson();
    }
    data['message'] = this.message;
    data['status'] = this.status;
    return data;
  }
}